summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIvan Baidakou <the.dmol@gmail.com>2013-01-20 20:18:05 +0200
committerIvan Baidakou <the.dmol@gmail.com>2013-01-20 20:18:05 +0200
commitcfb820d2303d16a987696ca8d3e4911f4a26a2ae (patch)
treea8650eff4762889fad7387dfb8e9afec9f7776e0 /dev-java/jgoodies-looks
parentCorrect sources packaging (diff)
downloaddmol-cfb820d2303d16a987696ca8d3e4911f4a26a2ae.tar.gz
dmol-cfb820d2303d16a987696ca8d3e4911f4a26a2ae.tar.bz2
dmol-cfb820d2303d16a987696ca8d3e4911f4a26a2ae.zip
Version bump wrt#442804
Package-Manager: portage-2.1.11.31 Manifest-Sign-Key: 9BF3548C
Diffstat (limited to 'dev-java/jgoodies-looks')
-rw-r--r--dev-java/jgoodies-looks/Manifest17
-rw-r--r--dev-java/jgoodies-looks/jgoodies-looks-2.5.2.ebuild54
-rw-r--r--dev-java/jgoodies-looks/metadata.xml7
3 files changed, 78 insertions, 0 deletions
diff --git a/dev-java/jgoodies-looks/Manifest b/dev-java/jgoodies-looks/Manifest
new file mode 100644
index 0000000..2d844ea
--- /dev/null
+++ b/dev-java/jgoodies-looks/Manifest
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+DIST jgoodies-looks-2_5_2.zip 2466231 SHA256 edd0670c972715c0951094bdeac88047c8836097aea1e78c720d2fe78e8dbbbd SHA512 3a8b4be0bce18d0ab17da988f49a69812cba4f0a689f9db86c4ed3b0b713a89f835263f991db2e8840988354f5c62f0acbde5cab7bb58f813ae4cb1f0ea02644 WHIRLPOOL af56868332bf57fedeb45f80af6b67e1c83a03cfbe513e9f84827cf967f07755de1e6032e9b996b8e2c39bfe56458f66c7226af64e600600b9ab0ac9788e0485
+EBUILD jgoodies-looks-2.5.2.ebuild 1194 SHA256 2a267e62ab147e9bc78fddbbd8a4a0c58de3af176113ec875c96150ba729b8b2 SHA512 64b1cb221921d97b644240785a6701ac5a4c96381b1428dbf8bdd14b97f51a137aec3ef26b6a6752d02e20f82cb4df29882f62265a3c89e4403d11a1bee52d69 WHIRLPOOL b8f5a6ccc14b572c3468212a36ad685d8cc59fe26143c786c6cf3b404fa05aa9eb0c45d1e79478abe23c3da1f7a96a5ab3568ca5be736e8113ff57dd25aaefc7
+MISC metadata.xml 205 SHA256 2ff0740a5424b0e10c7888541a248d1bd363a60911b0921b4cfe5c36590498ce SHA512 e7c77c724739d0af43cc338ded09dcbeee2a710eb0e49f1e656dc4c891bee85bfd6935bf70a191a1c5823f473643e676d64970416e5f1820ea466681016757c5 WHIRLPOOL 5b7f0c2a5243244fa06b072c8f0d9f53e7b6f45c7e1b74a0d945bdcc28b7137fddfd58e85b0d3e721e80963916ceae0d4cca59f48114ba26c47b24a91d6abb27
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.19 (GNU/Linux)
+
+iQEcBAEBCAAGBQJQ/DTdAAoJEMw3yeub81SMCdMIAIu5PePn1LqKBBGiRoz/L3rv
+KwQMK/wwoHUA9lQM3oBwpdWvSJXvQuUj9vb+UcaUFg8q8I//yz95bOykCGe7a5RI
+tApiE4StDCQJusc+L/uhaSwBLS85fc3955RIKpzSsMvYj/vX7mxcIzf7arteDQjs
+jKrJ5UwwjWq/ZqqgfdmNVXfWTiDeQIpDUW9GI+45M9SBob5uw+8AFLCgTlud5NxV
+mgYaPKyLq10nLOFyeGSsy9qtb6Dz7jOh4l5co5Sia97a18hdaU1GlNZ6+zvKvNHb
+XrVPU0+YpLOvaxw3EQGE9RcEYO7qbNnh+aeGDF+iyzdRgp6D6/n4V7rdOE7Fui4=
+=MW2E
+-----END PGP SIGNATURE-----
diff --git a/dev-java/jgoodies-looks/jgoodies-looks-2.5.2.ebuild b/dev-java/jgoodies-looks/jgoodies-looks-2.5.2.ebuild
new file mode 100644
index 0000000..5c8feb3
--- /dev/null
+++ b/dev-java/jgoodies-looks/jgoodies-looks-2.5.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2 eutils
+
+MY_PN="looks"
+MY_PV=${PV//./_}
+MY_P="${PN}-${MY_PV}"
+DESCRIPTION="JGoodies Looks Library"
+HOMEPAGE="http://www.jgoodies.com/"
+SRC_URI="http://www.jgoodies.com/download/libraries/${MY_PN}/${MY_P}.zip"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+COMMON_DEPEND="dev-java/jgoodies-common:1.4"
+DEPEND=">=virtual/jdk-1.6
+ app-arch/unzip
+ ${COMMON_DEPEND}"
+RDEPEND=">=virtual/jre-1.6
+ ${COMMON_DEPEND}"
+
+src_unpack() {
+ default
+ cd "${S}"
+ mkdir src && cd src && unzip -qq ../${P}-sources.jar || die
+ find "${S}" -name '*.jar' -exec rm -v {} +
+}
+
+src_compile() {
+ mkdir "${S}/classes"
+
+ find src -name "*.java" > "${T}/src.list"
+ ejavac -encoding ISO-8859-1 -classpath "$(java-pkg_getjars jgoodies-common-1.4)" \
+ -d "${S}/classes" "@${T}/src.list"
+
+ cd "${S}/classes"
+ jar -cf "${S}/${PN}.jar" * || die "failed to create jar"
+}
+
+src_install() {
+ java-pkg_dojar ${PN}.jar
+
+ dodoc RELEASE-NOTES.txt README.html || die
+
+ use doc && java-pkg_dohtml -r docs/*
+ use source && java-pkg_dosrc src/com
+}
diff --git a/dev-java/jgoodies-looks/metadata.xml b/dev-java/jgoodies-looks/metadata.xml
new file mode 100644
index 0000000..80859ae
--- /dev/null
+++ b/dev-java/jgoodies-looks/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>the.dmol@gmail.com</email>
+ </maintainer>
+</pkgmetadata>